import { Observable } from 'rxjs';
import { ObservableWithValue } from "@proscom/prostore";
/**
 * Subscribe to Observable
 */
export declare function useObservable<State = any>(obs$: Observable<State> | null | undefined, setState: (state: State) => any): void;
export declare function useObservableState<State = any>(obs$: Observable<State> | null | undefined, initialState: State): State;
export declare function useObservableState<State = any>(obs$: Observable<State> | null | undefined): State | null;
export declare function useSubject<State = any>(sub$: ObservableWithValue<State>): State;
export declare function useSubject<State = any>(sub$: ObservableWithValue<State> | null | undefined): State | null;
